Subject: Re: bug#25969: guix-patches debbugs appears to mangle patches

From: Eric Blake <[email-masked]>
Date: Mon, 6 Mar 2017 11:54:56 -0600

On 03/06/2017 11:46 AM, Glenn Morris wrote:
> Ludovic Courtès wrote:
> 
>> Hello!
>>
>> Leo Famulari <[email-masked]> skribis:
>>
>>> The guix-patches debbugs thing causes a regression in this workflow by
>>> rewriting the commit messages to include the debbugs ticket number.
>>>
>>> So, a commit that begins with this:
>>>
>>> gnu: gitolite: Fix shebangs in hooks.
>>>
>>> ... becomes this:
>>>
>>> bug#25966: [PATCH 2/2] gnu: gitolite: Fix shebangs in hooks.
>>>
>>> Am I missing something, or is debbugs really rewriting the patches?
>>
>> Good question.  Maybe Glenn and others at help-debbugs have an idea?
> 
> I think it's over the top to describe this as "mangling" or "rewriting"
> patches. The system relies on adding a bug number to the subject, so
> that replies to the maintainer address can be associated with the right
> bug. I don't see any prospect of this changing. If you are using a tool
> that is sensitive to the subject line in emails, I can only suggest
> using eg a trivial sed command to take out the bug number before passing
> the mail to your tool.

'git am' already knows how to strip anything inside one or more [text]
prefix of the subject. I don't know how hard it would be to convince the
GNU debbugs instance to output '[bug#25969] ' instead of its current
'bug#25969: ' (and of course to also recognize both spellings on input,
when checking for existing mails in reply to existing bugs), but such a
tweak would play nicer with a git patch workflow.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org